# tapis_app_webform

This module provides a Webform integration for Tapis apps.

## Overview

Once this module is installed & enabled, it will work as follows:

Whenever an app is created with input type **Form**, a new Webform will be created with the same name as the app.

To add webform elements to this app's form (to represent the app's inputs), you can use any of the Webform elements
with ***(OSP)*** in their name.

Be sure to specify the command line prefix/suffix settings properly for each OSP Webform element.

Furthermore, the order in which the webform elements are arranged (top to bottom, left to right) will dictate the order
of their corresponding command-line arguments/app inputs.

To conditionally ignore a parameter, add a hidden osp checkbox webform element with the
key `<key of element to ignore>_arg_ignore`. Whenever this checkbox is checked, the corresponding element will be
ignored, and vice verse when this hidden checkbox is unchecked.

After you're done creating an app and editing its webform, go to the app's page, and click on the **Launch** tab to
submit a job using the form.
