<?php

namespace Drupal\tapis_app_webform\Element;

use Drupal\file\Element\ManagedFile;

/**
 * Defines a custom form element, 'tapis_app_webform_managed_file'.
 *
 * This element provides functionality for a custom managed file element
 * within a Drupal form.
 *
 * @FormElement("tapis_app_webform_managed_file")
 *
 * @see \Drupal\Core\Render\Element\FormElement
 * @see https://api.drupal.org/api/drupal/core%21lib%21Drupal%21Core%21Render%21Element%21FormElement.php/class/FormElement
 * @see \Drupal\Core\Render\Element\RenderElement
 * @see https://api.drupal.org/api/drupal/namespace/Drupal%21Core%21Render%21Element
 * @see \Drupal\webform_example_element\Element\WebformExampleElement
 */
class OSPWebformManagedFile extends ManagedFile {
  // Empty element.
}
